package beans;

import junit.framework.*;

public class FortuneTellingBeanTest extends TestCase {
    private FortuneTellingBean objFortune;
    private final static String NAME = "Makoto Shoji";
    private final static String MAIL = "shoji@tech-arts.co.jp";
    private final static String BLOOD_TYPE = "B";
    private final static String RESULT = "g";

    public FortuneTellingBeanTest(String name) {
        super(name);
    }

    protected void setUp() {
        objFortune = new FortuneTellingBean(NAME, MAIL, BLOOD_TYPE);
        objFortune.setContextRootPath("");
    }

    public static Test suite() {
        TestSuite objTestSuite = new TestSuite();
        objTestSuite.addTest(new FortuneTellingBeanTest("testGetName"));
        objTestSuite.addTest(new FortuneTellingBeanTest("testGetResult"));
        return objTestSuite;
    }

    public void testGetName() {
        assertTrue(objFortune.getName().equals(NAME));
    }

    public void testGetResult() {
        assertTrue(objFortune.getResult().equals(RESULT));
    }
}